package edu.mtech.esof427.keyboard;

public class RectangleKey
{
    private Rectangle rectangle = null;
    private String character = "";
        
    public RectangleKey(String data)
    {
        String cols [] = data.split(",");
        if (cols.length != 5)
            throw new RuntimeException("RectangleKey constructor exactly 5 pieces of data!");

        this.character = cols[0];
        
        double x = Double.parseDouble(cols[1]);
        double y = Double.parseDouble(cols[2]);
        double w = Double.parseDouble(cols[3]);
        double h = Double.parseDouble(cols[4]);
        
        rectangle = new Rectangle(new Point(x, y), w, h);
    }
      
    public boolean isInside(Point point)
    {
        return rectangle.isInside(point);
    }

    public double getDistanceToCenter(Point point)
    {
        return rectangle.getDistanceToCenter(point);
    }
    
    public String getCharacter()
    {
        return character;
    }
        
}
